From c239baf801168d02dc781bcc7d1de42d2da96ec2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 13:48:16 +0200
Subject: [PATCH 13/45] Turn addrandom()'s buf argument into unsigned char *

Data is usually represented as "unsigned char *" like genrandom().
---
 dbrandom.c | 2 +-
 dbrandom.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dbrandom.c b/dbrandom.c
index cf280f4..02e7803 100644
--- a/dbrandom.c
+++ b/dbrandom.c
@@ -141,7 +141,7 @@ out:
 	return ret;
 }
 
-void addrandom(char * buf, unsigned int len)
+void addrandom(unsigned char * buf, unsigned int len)
 {
 	hash_state hs;
 
diff --git a/dbrandom.h b/dbrandom.h
index 3434f69..6e262f3 100644
--- a/dbrandom.h
+++ b/dbrandom.h
@@ -29,7 +29,7 @@
 
 void seedrandom();
 void genrandom(unsigned char* buf, unsigned int len);
-void addrandom(char * buf, unsigned int len);
+void addrandom(unsigned char * buf, unsigned int len);
 void gen_random_mpint(mp_int *max, mp_int *rand);
 
 #endif /* DROPBEAR_RANDOM_H_ */

